BGLPROF(1)

NAME
bglprof - display call graph profile data for Bigloo programs

SYNOPSIS
bglprof [ options ] [ objfile [ gmon.out ] ]

DESCRIPTION
bglprof is a front-end to the gprof program. Any option that applied to gprof suits for bglprof. bglprof reads an extra monitoring file, the bmon.out file. This file is generated when executing a program that has been linked by Bigloo making use of the -p option. See the glprof manual for an detailed documentation.

OPTIONS

-v  verbose mode.

EXAMPLE
Here is the sequence of commands to get a Bigloo profile:

$ bigloo foo.scm -p -unsafe -O4 -c

$ bigloo foo.o -p -unsafe -O4 -c -o a.out

$ ./a.out

$ bglprof

SEE ALSO
bigloo(1), prof(1), gprof(1)

AUTHOR
Manuel SERRANO, Manuel.Serrano@inria.fr